require 'spec_helper'

describe Thingdeck::Wrapper do
  let(:app_id) { 'app_id' }
  let(:secret) { 'secret' }
  let(:token) { 'w32vd234231rr' }
  let(:response) { "{\"token\": \"#{token}\"}" }

  let(:wrapper) { wrapper = Thingdeck::Wrapper.new(app_id, secret) }
  let(:tid) { 'AABAJ' }

  before do
    stub_request(:post, "#{Thingdeck::OAUTH_URL}/oauth/token").
      to_return(:status => 200, :body => response, :headers => {})
    stub_request(:post, "#{Thingdeck::API_URL}/things/")
    stub_request(:post, "#{Thingdeck::API_URL}/things/#{tid}")
  end

  it 'authenticates user after initializing' do
    wrapper.should be_authorized
  end

  it 'initializes thing' do
    wrapper.thing.should_not be_nil
  end

  it 'initializes property' do
    wrapper.property.should_not be_nil
  end
end
